import {mRequest } from '../utils/Requests';



export function getAccessPage(){
    return mRequest({
        url: "/api/access/access_page",
        method: 'GET',
    })
}

export function bindIds(data:any){
    return mRequest({
        url: "/api/access/bind_ids",
        method: 'POST',
        body:{
            ...data,
            customer_id: Number(data.customer_id),
        }
    })
}

export function getActivityPage(customerId: number){
    return mRequest({
        url: "/api/access/activity_page?customer_id="+customerId,
        method: 'GET',
    })
}

export function recordState(data:any){
    return mRequest({
        url: "/api/access/record_state",
        method: 'POST',
        body:{
            ...data,
        }
    })
}
