

export interface ReqParam {
    url: string;
    method: string;
    headers?: any;
    body?: any;
    options?: any;
}

const test_customer_id = [
    2,3,674,675,676,677,690,691,695,696,697,698,699,780,781,782,783,784,785,786,787,788,789,790
]

export const mRequest = async (req: ReqParam) => {
    console.log("api: ", req.url, " method: ", req.method, " body: ", req.body)
    const current_env = import.meta.env.VITE_NODE_ENV;
    let url = current_env == "production" ? import.meta.env.VITE_SERVE + req.url:req.url;


    if(req.method == "GET"){
        console.log(req.url)
        const param = req.url.split("?")
        if(param.length > 1){
            const customer_id =  Number(param[1].split("=")[1])
            if(test_customer_id.includes(Number(customer_id))){
                url = import.meta.env.VITE_SERVE_TEST + req.url
            }
        }
    }else{
        const customer_id = req.body.customer_id
        if(test_customer_id.includes(Number(customer_id))){
            url = import.meta.env.VITE_SERVE_TEST + req.url
        }
    }

    console.log(url)

    const content_type = req.body && req.body instanceof FormData ? {} : {
        'Content-Type': 'application/json',
    }
    const response = await fetch(url, {
        method: req.method,
        headers: {
            ...req.headers,
            ...content_type
        },
        body: req.body ?
            req.body instanceof FormData ? req.body as FormData : JSON.stringify(req.body)
            : undefined,
        ...req.options
    });
    const res = await response.json();
    // if (res.code === 401) {
    //     window.location.href = '/login';
    // }
    return res; //response.json();
}